|  | Home · All Classes · Modules

# QHelpSearchQueryWidget Class Reference
[QtHelp module]

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask. More...

Inherits QWidget.

### Methods

- __init__ (self, QWidget parent = None)
- list-of-QHelpSearchQuery query (self)

### Qt Signals

- void search ()

## Detailed Description

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask.

## Method Documentation

### QHelpSearchQueryWidget.__init__ (self, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new search query widget with the given parent.

### list-of-QHelpSearchQuery QHelpSearchQueryWidget.query (self)

Returns a list of queries to use in combination with the search engines search(QList<QHelpSearchQuery> &query) function.

## Qt Signal Documentation

### void search ()

This is the default overload of this signal.

This signal is emitted when a the user has the search button invoked. After reciving the signal you can ask the QHelpSearchQueryWidget for the build list of QHelpSearchQuery's that you may pass to the QHelpSearchEngine's search() function.